#include<bits/stdc++.h>
using namespace std;
string a,b,c;
int br;
int main(){
    cin>>a>>b;
    c.clear();
    if(a.size()>b.size()){
            swap(a,b);
    }
    while(a.size()<b.size()){
        a.insert(0,1,'0');
    }
    br=a.size();
    for(int i=0;i<br;i++){
        if(a[i]>b[i])
            c.push_back(a[i]);
        else
            c.push_back(b[i]);
        if(a[i]==b[i]){
                c.push_back(a[i]);
        }
    }
    cout<<c<<endl;



    }